Bug 122340 - Mk/bsd.port.mk: remove USE_XLIB dependency when USE_XORG and USE_IMAKE are defined
Mk/bsd.port.mk: remove USE_XLIB dependency when USE_XORG and USE_IMAKE are de...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 16:50 UTC by flz
Modified: 2009-01-23 19:02 UTC (History)
0 users

See Also:


Attachments
use-imake.diff (561 bytes, patch)
2008-04-01 16:50 UTC, flz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description flz 2008-04-01 16:50:04 UTC
This patch was submitted by dinoex.

It helps getting rid of the dependency on USE_X_PREFIX/USE_XLIB if the port
defines USE_IMAKE and has already been converted to new USE_XORG world order.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-01 16:50:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 pav freebsd_committer 2008-04-01 20:47:53 UTC
This looks counterintuitive to me.

How about converting all ports that define USE_IMAKE today to USE_XORG
and then dropping the USE_X_PREFIX assignment completely?

-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>
Linux is a happy free-for-all chaos.
Comment 3 flz 2008-04-02 01:14:12 UTC
On Tue, Apr 1, 2008 at 9:47 PM, Pav Lucistnik <pav@freebsd.org> wrote:
> This looks counterintuitive to me.
>
>  How about converting all ports that define USE_IMAKE today to USE_XORG
>  and then dropping the USE_X_PREFIX assignment completely?

It is the same, except we get the benefits of the conversion gradually
at the cost of introducing a temporary test.

Obviously, I forgot to mention that all ports defining USE_IMAKE and
USE_XORG will need to have a PORTREVISION bump.

On principle I'm not against your proposal, I'm just giving Martin
some time to breathe :-)

-- 
Florent Thoumie
flz@FreeBSD.org
FreeBSD Committer
Comment 4 pav freebsd_committer 2008-04-10 23:47:23 UTC
State Changed
From-To: open->analyzed

Being tested in an exprun
Comment 5 pav freebsd_committer 2008-04-24 09:18:18 UTC
State Changed
From-To: analyzed->feedback

A bunch of ports failed in the exp run, they will need to be fixed before this 
can go in.
Comment 6 Florent Thoumie freebsd_committer 2008-05-13 15:06:50 UTC
State Changed
From-To: feedback->open

Re-open, ports have been fixed.
Comment 7 pav freebsd_committer 2008-07-21 23:53:12 UTC
State Changed
From-To: open->feedback

A bunch of ports still fails. Logs sent to requestor in private mails
Comment 8 Florent Thoumie freebsd_committer 2009-01-23 19:02:48 UTC
State Changed
From-To: feedback->closed

This was commited during xorg 7.4 merge.